Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1291061 (python-pyspike) - Review Request: python-pyspike - Python library for the numerical analysis of spiketrain similarity
Summary: Review Request: python-pyspike - Python library for the numerical analysis of...
Keywords:
Status: CLOSED WONTFIX
Alias: python-pyspike
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Belanger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2015-12-13 10:38 UTC by Igor Gnatenko
Modified: 2018-08-22 10:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-22 07:31:53 UTC
pabelanger: fedora-review-


Attachments (Terms of Use)
fedora-review failure (deleted)
2015-12-17 17:41 UTC, Paul Belanger
pabelanger: review-
Details

Description Igor Gnatenko 2015-12-13 10:38:38 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-pyspike.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-pyspike-0.3.0-1.fc24.src.rpm
Description:
Python library for the numerical analysis of spiketrain similarity.

PySpike is a Python library for the numerical analysis of spike train
similarity. Its core functionality is the implementation of the bivariate ISI
and SPIKE distance as well as SPIKE-Synchronization. Additionally, it provides
functions to compute multivariate profiles, distance matrices, as well as
averaging and general spike train processing. All computation intensive parts
are implemented in C via cython to reach a competitive performance (factor
100-200 over plain Python).
Fedora Account System Username: ignatenkobrain

Comment 1 Paul Belanger 2015-12-17 17:41:41 UTC
Created attachment 1106795 [details]
fedora-review failure

I couldn't get your spec to build locally, see the output of my build.log

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-12-18 17:53:55 UTC
Missing requires on nosetests, both py2 and py3 versions...

Comment 3 Igor Gnatenko 2018-08-22 07:31:53 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.

Comment 4 Ankur Sinha (FranciscoD) 2018-08-22 10:15:22 UTC
I'll take this up and submit a new review. Thanks, Igor.


Note You need to log in before you can comment on or make changes to this bug.